org.apache.tapestry5.dom

## Class AbstractMarkupModel

- java.lang.Object
- - org.apache.tapestry5.dom.AbstractMarkupModel

- All Implemented Interfaces:
    MarkupModel
  Direct Known Subclasses:
    DefaultMarkupModel, Html5MarkupModel, XMLMarkupModel

      public abstract class AbstractMarkupModel
      extends Object
      implements MarkupModel

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractMarkupModel(boolean useApostropheForAttributes)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `encode(String content)` Passes all characters but '<', '>' and '&' through unchanged.
    `void` | `encodeQuoted(String content, StringBuilder builder)` Encodes the characters into the buffer for use in a quoted value (that is, an attribute value), converting control characters (such as '<') into corresponding entities (such as &lt;).
    `char` | `getAttributeQuote()` What character is used when generating quotes around attribute values?

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tapestry5.dom.MarkupModel

      `getEndTagStyle, isXML`

- - ### Constructor Detail

    - #### AbstractMarkupModel

          protected AbstractMarkupModel(boolean useApostropheForAttributes)

  - ### Method Detail

    - #### getAttributeQuote

          public char getAttributeQuote()

      Description copied from interface: `MarkupModel`
      What character is used when generating quotes around attribute values? This will be either a single or double quote.
      Specified by:
        `getAttributeQuote` in interface `MarkupModel`
      Returns:
        single (') or double (") quote

    - #### encode

          public String encode(String content)

      Passes all characters but '<', '>' and '&' through unchanged.
      Specified by:
        `encode` in interface `MarkupModel`
      Parameters:
        `content` - to be filtered
      Returns:
        the filtered content

    - #### encodeQuoted

          public void encodeQuoted(String content,
                                   StringBuilder builder)

      Description copied from interface: `MarkupModel`
      Encodes the characters into the buffer for use in a quoted value (that is, an attribute value), converting control characters (such as '<') into corresponding entities (such as &lt;). In addition, double quotes must be quoted or otherwise escaped.
      Specified by:
        `encodeQuoted` in interface `MarkupModel`
      Parameters:
        `content` - to be filtered
        `builder` - to receive the filtered content

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.